=head1 NAME

virt-tar-in - Unpack a tarball into a virtual machine disk image.

=head1 SYNOPSIS

 virt-tar-in -a disk.img data.tar /destination

 virt-tar-in -d domain data.tar /destination

 zcat data.tar.gz | virt-tar-in -d domain - /destination

=head1 DESCRIPTION

C<virt-tar-in> unpacks an uncompressed tarball into a virtual machine
disk image or named libvirt domain.

The first parameter is the tar file.  Use C<-> to read the tar file
from standard input.  The second parameter is the absolute target
directory to unpack into.

=head1 EXAMPLES

Upload a home directory to a guest:

 virt-tar-in -d MyGuest homes.tar /home

=head1 JUST A SHELL SCRIPT WRAPPER AROUND GUESTFISH

This command is just a simple shell script wrapper around the
L<guestfish(1)> C<tar-in> command.  For anything more complex than a
trivial copy, you are probably better off using guestfish directly.

=head1 OPTIONS

Since the shell script just passes options straight to guestfish, read
L<guestfish(1)> to see the full list of options.

=head1 SEE ALSO

L<guestfish(1)>,
L<virt-cat(1)>,
L<virt-copy-in(1)>,
L<virt-copy-out(1)>,
L<virt-edit(1)>,
L<virt-make-fs(1)>,
L<virt-tar-out(1)>,
L<http://libguestfs.org/>.

=head1 AUTHORS

Richard W.M. Jones (C<rjones at redhat dot com>)

=head1 COPYRIGHT

Copyright (C) 2011-2012 Red Hat Inc.
